import * as $dara from '@darabonba/typescript';
import { AllocateEipAddressProResponseBody } from "./AllocateEipAddressProResponseBody";
export declare class AllocateEipAddressProResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AllocateEipAddressProResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
